Bug 199854 - [resolvconf] Update to the upstream release openresolv-3.7.0
Summary: [resolvconf] Update to the upstream release openresolv-3.7.0
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: Glen Barber
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-05-01 22:57 UTC by Yuri Victorovich
Modified: 2015-05-11 01:36 UTC (History)
1 user (show)

See Also:


Attachments
patch (55.36 KB, patch)
2015-05-01 22:57 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2015-05-01 22:57:28 UTC
Created attachment 156226 [details]
patch

Update is straightforward.

Main new feature:
-x (exclusive) flag that can be set to interface, in which case that DNS setting will override all previous DNS settings, and this will persist over the subsequent DNS updates, if any.
This feature is necessary to prevent DNS leaks when an exclusive VPN is enabled on the system. I personally requested this feature, and Roy Marples implemented and released it in less than a week.
Additionally, several other, minor bugs are fixed by this release.

Changes I made against 3.7.0:
* $* -> $@ (upstream is notified)
* Man page BUG section modified (same as FreeBSD did before, upstream is notified)
* Minor delta (printf vs. echo) left from the previous FreeBSD branch

I tested it on 10.1 - works fine.

Please MFC to 10.1
Comment 1 Yuri Victorovich freebsd_committer 2015-05-01 23:05:58 UTC
I also did in-depth testing of the new -x feature, also works as expected.
Comment 2 Pedro F. Giffuni freebsd_committer 2015-05-01 23:44:54 UTC
Thank you for the effort.

This is something that has to be imported through the vendor branch though, so I am adding Hiroki-san who did the last update there.
Comment 3 commit-hook freebsd_committer 2015-05-04 20:52:21 UTC
A commit references this bug:

Author: gjb
Date: Mon May  4 20:51:30 UTC 2015
New revision: 282431
URL: https://svnweb.freebsd.org/changeset/base/282431

Log:
  Import openresolv 3.7.0.

  PR:		199854
  Obtained from:	http://roy.marples.name/projects/openresolv
  Sponsored by:	The FreeBSD Foundation

Changes:
  vendor/openresolv/dist/GNUmakefile
  vendor/openresolv/dist/Makefile
  vendor/openresolv/dist/config-null.mk
  vendor/openresolv/dist/configure
  vendor/openresolv/dist/dnsmasq.in
  vendor/openresolv/dist/libc.in
  vendor/openresolv/dist/named.in
  vendor/openresolv/dist/pdns_recursor.in
  vendor/openresolv/dist/pdnsd.in
  vendor/openresolv/dist/resolvconf.8.in
  vendor/openresolv/dist/resolvconf.conf.5.in
  vendor/openresolv/dist/resolvconf.in
  vendor/openresolv/dist/unbound.in
Comment 4 commit-hook freebsd_committer 2015-05-04 20:53:23 UTC
A commit references this bug:

Author: gjb
Date: Mon May  4 20:52:21 UTC 2015
New revision: 282432
URL: https://svnweb.freebsd.org/changeset/base/282432

Log:
  Tag openresolv-3.7.0.

  PR:		199854
  Sponsored by:	The FreeBSD Foundation

Changes:
  vendor/openresolv/3.7.0/
Comment 5 commit-hook freebsd_committer 2015-05-04 21:08:25 UTC
A commit references this bug:

Author: gjb
Date: Mon May  4 21:07:24 UTC 2015
New revision: 282434
URL: https://svnweb.freebsd.org/changeset/base/282434

Log:
  MFV r225523, r282431:
   r225523 (hrs):
    Import openresolv-3.4.4.

   r282431:
    Import openresolv-3.7.0.

  PR:		199854
  Submitted by:	yuri@rawbw.com
  MFC after:	1 week
  Relnotes:	yes
  Sponsored by:	The FreeBSD Foundation

Changes:
_U  head/contrib/openresolv/
  head/contrib/openresolv/GNUmakefile
  head/contrib/openresolv/Makefile
  head/contrib/openresolv/config-null.mk
  head/contrib/openresolv/configure
  head/contrib/openresolv/dnsmasq.in
  head/contrib/openresolv/libc.in
  head/contrib/openresolv/named.in
  head/contrib/openresolv/pdns_recursor.in
  head/contrib/openresolv/pdnsd.in
  head/contrib/openresolv/resolvconf.8.in
  head/contrib/openresolv/resolvconf.conf.5.in
  head/contrib/openresolv/resolvconf.in
  head/contrib/openresolv/unbound.in
  head/sbin/resolvconf/Makefile
Comment 6 Glen Barber freebsd_committer 2015-05-04 21:20:08 UTC
Fix category.
Comment 7 commit-hook freebsd_committer 2015-05-11 01:33:46 UTC
A commit references this bug:

Author: gjb
Date: Mon May 11 01:33:37 UTC 2015
New revision: 282746
URL: https://svnweb.freebsd.org/changeset/base/282746

Log:
  MFC r282434:
    MFV r225523, r282431:
     r225523 (hrs):
      Import openresolv-3.4.4.

     r282431:
      Import openresolv-3.7.0.

  PR:		199854
  Submitted by:	yuri@rawbw.com
  Relnotes:	yes
  Sponsored by:	The FreeBSD Foundation

Changes:
_U  stable/10/
  stable/10/contrib/openresolv/GNUmakefile
  stable/10/contrib/openresolv/Makefile
  stable/10/contrib/openresolv/config-null.mk
  stable/10/contrib/openresolv/configure
  stable/10/contrib/openresolv/dnsmasq.in
  stable/10/contrib/openresolv/libc.in
  stable/10/contrib/openresolv/named.in
  stable/10/contrib/openresolv/pdns_recursor.in
  stable/10/contrib/openresolv/pdnsd.in
  stable/10/contrib/openresolv/resolvconf.8.in
  stable/10/contrib/openresolv/resolvconf.conf.5.in
  stable/10/contrib/openresolv/resolvconf.in
  stable/10/contrib/openresolv/unbound.in
  stable/10/sbin/resolvconf/Makefile
Comment 8 Yuri Victorovich freebsd_committer 2015-05-11 01:36:00 UTC
Thanks!